Bug 184298 - [patch] devel/edb: fix build with Clang
Summary: [patch] devel/edb: fix build with Clang
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alberto Villa
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-11-26 03:30 UTC by Alberto Villa
Modified: 2013-12-17 17:50 UTC (History)
0 users

See Also:


Attachments
file.diff (1.62 KB, patch)
2013-11-26 03:30 UTC, Alberto Villa
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alberto Villa freebsd_committer 2013-11-26 03:30:00 UTC
The port fails to build and to link.

Build log:

c++ -c -O2 -pipe -march=native -fno-strict-aliasing -O2 -pthread -D_THREAD_SAFE -Wall -W -DDEFAULT_PLUGIN_PATH=/usr/local/libexec/edb -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/local/share/qt4/mkspecs/freebsd-clang -I. -I/usr/local/include/qt4/QtCore -I/usr/local/include/qt4/QtGui -I/usr/local/include/qt4/QtXml -I/usr/local/include/qt4 -Iwidgets -I../include -Iqhexview -Iqjson -Ios/unix -I../include/os/unix -Iedisassm -Ios/unix/freebsd -I../include/os/unix/freebsd -Iarch/x86_64 -I../include/arch/x86_64 -I.moc/release-shared -I.uic -I/usr/local/include/qt4 -I/usr/local/include -o .obj/release-shared/Instruction.o edisassm/Instruction.cpp
In file included from edisassm/Instruction.cpp:20:
edisassm/Instruction32.h:293:2: error: reference to non-static member function must be called; did you mean to call it with no arguments?
        UNUSED(size);
        ^~~~~~~~~~~~
                    ()
edisassm/edisassm_util.h:27:25: note: expanded from macro 'UNUSED'
#define UNUSED(x) (void)(x)
                        ^~~
1 error generated.
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/devel/edb/work/debugger/src

===

Link log:

.obj/release-shared/DebugEvent.o: In function `DebugEvent::DebugEvent(int, int, int)':
os/unix/freebsd/DebugEvent.cpp:(.text+0xbc): undefined reference to `kvm_openfiles'
os/unix/freebsd/DebugEvent.cpp:(.text+0xdc): undefined reference to `kvm_getprocs'
os/unix/freebsd/DebugEvent.cpp:(.text+0xf4): undefined reference to `kvm_read'
os/unix/freebsd/DebugEvent.cpp:(.text+0x10f): undefined reference to `kvm_read'
os/unix/freebsd/DebugEvent.cpp:(.text+0x12d): undefined reference to `kvm_close'
.obj/release-shared/DialogAttach.o: In function `DialogAttach::find_processes()':
os/unix/freebsd/DialogAttach.cpp:(.text+0x79): undefined reference to `kvm_openfiles'
os/unix/freebsd/DialogAttach.cpp:(.text+0x98): undefined reference to `kvm_getprocs'
os/unix/freebsd/DialogAttach.cpp:(.text+0x1ca): undefined reference to `kvm_close'
c++: error: linker command failed with exit code 1 (use -v to see invocation)
*** Error code 1

Stop.
make[2]: stopped in /usr/ports/devel/edb/work/debugger/src

Fix: Patch attached with submission follows:
How-To-Repeat: Build the port on 11.0-CURRENT
Comment 1 Edwin Groothuis freebsd_committer 2013-11-26 03:30:08 UTC
Maintainer of devel/edb,

Please note that PR ports/184298 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/184298

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2013-11-26 03:30:09 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 dfilter service freebsd_committer 2013-12-16 22:07:37 UTC
Author: avilla
Date: Mon Dec 16 22:07:24 2013
New Revision: 336673
URL: http://svnweb.freebsd.org/changeset/ports/336673

Log:
  - Fix build with Clang.
  
  PR:		184298
  Submitted by:	avilla (myself)
  Approved by:	itechbear@gmail.com (maintainer timeout)

Added:
  head/devel/edb/files/patch-src__edisassm__Instruction32.h   (contents, props changed)
Modified:
  head/devel/edb/files/patch-src__src.pro

Added: head/devel/edb/files/patch-src__edisassm__Instruction32.h
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/devel/edb/files/patch-src__edisassm__Instruction32.h	Mon Dec 16 22:07:24 2013	(r336673)
@@ -0,0 +1,10 @@
+--- ./src/edisassm/Instruction32.h.orig	2011-12-20 22:04:57.000000000 +0100
++++ ./src/edisassm/Instruction32.h	2013-11-20 18:01:17.389439581 +0100
+@@ -290,7 +290,6 @@
+ template <int16_t IMM>
+ void Instruction<M>::decode_const_Iw(const uint8_t *buf) {
+ 	UNUSED(buf);
+-	UNUSED(size);
+ 
+ 	operand_t &operand = next_operand();
+ 

Modified: head/devel/edb/files/patch-src__src.pro
==============================================================================
--- head/devel/edb/files/patch-src__src.pro	Mon Dec 16 22:02:32 2013	(r336672)
+++ head/devel/edb/files/patch-src__src.pro	Mon Dec 16 22:07:24 2013	(r336673)
@@ -1,5 +1,5 @@
---- ./src/src.pro.orig	2011-12-12 21:27:25.000000000 +0000
-+++ ./src/src.pro	2012-09-13 21:26:00.215566381 +0000
+--- ./src/src.pro.orig	2011-12-12 22:27:25.000000000 +0100
++++ ./src/src.pro	2013-11-20 18:01:37.379434373 +0100
 @@ -5,7 +5,7 @@
  INCLUDEPATH += ./widgets ../include
  RESOURCES   = debugger.qrc
@@ -9,3 +9,12 @@
  INSTALLS    += target 
  QT          += xml
  
+@@ -241,7 +241,7 @@
+ 
+ 	linux-g++*:		QMAKE_LFLAGS += -rdynamic
+ 	openbsd-g++*:	QMAKE_LFLAGS += -lkvm -Wl,--export-dynamic
+-	freebsd-g++*:	QMAKE_LFLAGS += -lkvm -Wl,--export-dynamic
++	freebsd-*:	QMAKE_LFLAGS += -lkvm -Wl,--export-dynamic
+ 	macx-g++*:		QMAKE_LFLAGS += -rdynamic
+ 
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Alberto Villa freebsd_committer 2013-12-16 22:18:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->avilla

I'll take it.
Comment 5 Alberto Villa freebsd_committer 2013-12-16 22:19:04 UTC
State Changed
From-To: feedback->closed

Patch committed with minor changes.
Comment 6 dfilter service freebsd_committer 2013-12-17 17:43:01 UTC
Author: avilla
Date: Tue Dec 17 17:42:52 2013
New Revision: 336744
URL: http://svnweb.freebsd.org/changeset/ports/336744

Log:
  MFH: r336673
  
    - Fix build with Clang.
  
    PR:           184298
    Submitted by: avilla (myself)
    Approved by:  itechbear@gmail.com (maintainer timeout)
  
  Approved by:	portmgr (bapt)

Added:
  branches/2014Q1/devel/edb/files/patch-src__edisassm__Instruction32.h
     - copied unchanged from r336673, head/devel/edb/files/patch-src__edisassm__Instruction32.h
Modified:
  branches/2014Q1/devel/edb/files/patch-src__src.pro
Directory Properties:
  branches/2014Q1/   (props changed)

Copied: branches/2014Q1/devel/edb/files/patch-src__edisassm__Instruction32.h (from r336673, head/devel/edb/files/patch-src__edisassm__Instruction32.h)
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ branches/2014Q1/devel/edb/files/patch-src__edisassm__Instruction32.h	Tue Dec 17 17:42:52 2013	(r336744, copy of r336673, head/devel/edb/files/patch-src__edisassm__Instruction32.h)
@@ -0,0 +1,10 @@
+--- ./src/edisassm/Instruction32.h.orig	2011-12-20 22:04:57.000000000 +0100
++++ ./src/edisassm/Instruction32.h	2013-11-20 18:01:17.389439581 +0100
+@@ -290,7 +290,6 @@
+ template <int16_t IMM>
+ void Instruction<M>::decode_const_Iw(const uint8_t *buf) {
+ 	UNUSED(buf);
+-	UNUSED(size);
+ 
+ 	operand_t &operand = next_operand();
+ 

Modified: branches/2014Q1/devel/edb/files/patch-src__src.pro
==============================================================================
--- branches/2014Q1/devel/edb/files/patch-src__src.pro	Tue Dec 17 16:50:18 2013	(r336743)
+++ branches/2014Q1/devel/edb/files/patch-src__src.pro	Tue Dec 17 17:42:52 2013	(r336744)
@@ -1,5 +1,5 @@
---- ./src/src.pro.orig	2011-12-12 21:27:25.000000000 +0000
-+++ ./src/src.pro	2012-09-13 21:26:00.215566381 +0000
+--- ./src/src.pro.orig	2011-12-12 22:27:25.000000000 +0100
++++ ./src/src.pro	2013-11-20 18:01:37.379434373 +0100
 @@ -5,7 +5,7 @@
  INCLUDEPATH += ./widgets ../include
  RESOURCES   = debugger.qrc
@@ -9,3 +9,12 @@
  INSTALLS    += target 
  QT          += xml
  
+@@ -241,7 +241,7 @@
+ 
+ 	linux-g++*:		QMAKE_LFLAGS += -rdynamic
+ 	openbsd-g++*:	QMAKE_LFLAGS += -lkvm -Wl,--export-dynamic
+-	freebsd-g++*:	QMAKE_LFLAGS += -lkvm -Wl,--export-dynamic
++	freebsd-*:	QMAKE_LFLAGS += -lkvm -Wl,--export-dynamic
+ 	macx-g++*:		QMAKE_LFLAGS += -rdynamic
+ 
+ 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"